### Enumeration

# EBookContacts VCardForeachFlags

since: 3.60

#### Declaration

    flags EBookContacts.VCardForeachFlags

#### Description [src]

Behavior flags for the e_vcard_foreach().

When the `E_VCARD_FOREACH_FLAG_WILL_MODIFY` is set, it’s expected the callback will modify the list of the attributes in the `EVCard`, thus the walk-through is done on a copy of the list of the attributes. The attributes cannot be removed in the callback though, use `e_vcard_foreach_remove()` for that instead.

Without the `E_VCARD_FOREACH_FLAG_WILL_MODIFY` flag the callback promises it’ll not modify the list of the attributes in the vCard.

Available since: 3.60

#### Members

`E_VCARD_FOREACH_FLAG_NONE`

  No flags.

  - Value: `0`
  - Available since: 3.60
`E_VCARD_FOREACH_FLAG_WILL_MODIFY`

  Whether the callback will modify the `EVCard`.

  - Value: `1`
  - Available since: 3.60